# Recreating the Manuscript Figures

This file explains which scripts must be used to recreate the figures found in the manuscript and supplement.
Many of these scripts have options that allow further analysis; the default values in the script will recreate the figures seen in the manuscript.

__Manuscript__ \
Fig. 1:       N/A (Created using Quantarctica) \
Fig. 2:       an01_model_SOM_melt_patterns.R \
Fig. 3:       an04_plot_SOM_context.R \
Fig. 4:       an05_plot_SOM_progressions.R \
Fig. 5:       an06_plot_timeseries_SOM_annual.R \
Fig. 6:       an09_map_mean_perPixel_metrics.R \
Fig. 7:       an10_plot_racmo_summer_variables.R \
Fig. 8:       an07_plot_SOM_sensor_correspondence.R\
Table1:       an11_tabulate_pattern_stats.R

__Supplement__ \
Figures in the supplement may need options adjusting at the top of the respective script.

Fig. S1:      an02_compare_SOM_vs_freq.R \
Fig. S2:      an03_compare_SOM_vs_observations.R (set u_pattern as necessary) \
Fig. S3:      an01_model_SOM_melt_patterns.R \
Fig. S4:      an01_model_SOM_melt_patterns.R (see Fig. S4 caption for settings) \
Fig. S5:      an01_model_SOM_melt_patterns.R (set u_somCol & u_somRow as 10) \
Fig. S6:      an04_plot_SOM_context.R (set u_xAxis as "dates") \
Fig. S7:      an12_plot_annual_melt_extent.R (set u_summer as 2018) \
Fig. S8:      an06_plot_timeseries_SOM_annual.R \
Fig. S9:      an08_compare_sensors_vs_patterns.R\
TableS1:      an11_tabulate_pattern_stats.R
